Solid Edges (Curves)
====================

Functionality
-------------

Gives the edges that define the solid as curves

Options
-------

* **Flat Output**:  If the input has two solids the output will have two groups of curves. If Flat Output is enabled the two groups will be merged in a single group [[curve, curve,..], [curve, curve,...]] to [curve, curve, curve...]
* **NURBS Output**. This parameter is available in the N panel only. If
  checked, the node will generate curves in NURBS representation. Otherwise, it
  will generate standard FreeCAD curves. Unchecked by default.

Examples
--------

.. image:: https://raw.githubusercontent.com/vicdoval/sverchok/docs_images/images_for_docs/solid/solid_edges/solid_edges_blender_sverchok_example.png
